import request from '@/utils/request'
//增加辅料档案
export function addMaterialInfo(data) {
  return request({
    url: '/doc/addMaterialInfo',
    method: 'post',
    params: data
  })
}

//获取辅料档案列表
export function getMaterialInfoList(data) {
  return request({
    url: '/doc/getMaterialInfoList',
    method: 'post',
    params: data
  })
}

//获取辅料档案
export function getMaterialInfoById(data) {
  return request({
    url: '/doc/getMaterialInfo',
    method: 'post',
    params: data
  })
}


//修改辅料档案
export function updateMaterialInfo(data) {
  return request({
    url: '/doc/updateMaterialInfo',
    method: 'post',
    params: data
  })
}

//修改库存精度
export function updateMaterialStockPrecise(data) {
  return request({
    url: '/doc/updateMaterialStockPrecise',
    method: 'post',
    params: data
  })
}
export function getStockMaterialInfoList(data) {
  return request({
    url: '/stock/getStockMaterialInfoList',
    method: 'post',
    params: data
  })
}

export function getCheckStockMaterialInfoList(data) {
  return request({
    url: '/stock/getCheckStockMaterialInfoList',
    method: 'post',
    params: data
  })
}

// 辅料在库查询

export function getInStockMaterialInfoList(data) {
  return request({
    url: '/stock/getInStockMaterialInfoList',
    method: 'post',
    params: data
  })
}
// 获取库存
export function getMaterialCompanyQtyInfo(data) {
  return request({
    url: '/stock/getMaterialCompanyQtyInfo',
    method: 'post',
    params: data
  })
}
// 保存库存
export function saveMaterialCompanyQtyInfo(data) {
  return request({
    url: '/stock/saveMaterialCompanyQtyInfo',
    method: 'post',
    data: data
  })
}
